package _01_static.demo1;

/**
 * 标准javaBean 类
 * 字段要私有化
 * 要给字段提供get 和set 方法
 * 要提供全参数构造器 和无参数构造器
 *
 * javaBean: 描述一种具体的事务类
 * 测试类; 就是包含主方法的类 主要做功能测试
 */
public class Student {
    private String name;
    private int age;
    // private 和public
    // private 私有化 : 只能够在类当中访问
    // publicc 公共的: 在任何位置都可以访问
    /**
     * 为什么说现在static 要把设置成public
     * 因为如果你设置成private , 只能够通过set 方法去设置
     * set 方法调用要用对象去调用
     *
     * 静态变量属于类级别, 他不属于某一个对象
     *
     * 调用静态变量或者静态方法
     * 一般通过类名.属性名/方法名
     */
    public static String teacherName;


    public static void test(){
        System.out.println(teacherName);
    }

    public Student() {
    }

    public Student(String name, int age, String teacherName) {
        this.name = name;
        this.age = age;
        this.teacherName = teacherName;
    }

    /**
     * 获取
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * 设置
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取
     * @return age
     */
    public int getAge() {
        return age;
    }

    /**
     * 设置
     * @param age
     */
    public void setAge(int age) {
        this.age = age;
    }

    /**
     * 获取
     * @return teacherName
     */
    public String getTeacherName() {
        return teacherName;
    }

    /**
     * 设置
     * @param teacherName
     */
    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String toString() {
        return "Student{name = " + name + ", age = " + age + ", teacherName = " + teacherName + "}";
    }
}
